Skip to main content
GET
/
clients
/
{id}
/
orders
/
{order_id}
Get Client Order
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/clients/{id}/orders/{order_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "comments": "<string>",
  "order_comments": "<string>",
  "time_start": "<string>",
  "time_end": "<string>",
  "location": "<string>",
  "address": "<string>",
  "city": "<string>",
  "postal_code": "<string>",
  "order_status": 0,
  "order_created": "<string>",
  "shifts": [
    {
      "id": "<string>",
      "custom_name": "<string>",
      "role_id": "<string>",
      "quantity": 123,
      "start": "<string>",
      "end": "<string>",
      "overnight": true,
      "comments": "<string>"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Client ID

order_id
string
required

Order ID

Response

OK

id
string

Unique order identifier.

name
string

Order name.

comments
string | null

Internal comments.

order_comments
string | null

Comments from the client.

time_start
string

Order start datetime.

time_end
string

Order end datetime.

location
string | null

Location name.

address
string | null

Street address.

city
string | null

City.

postal_code
string | null

Postal or ZIP code.

order_status
enum<integer>

Order status code.

Available options:
0,
2,
86,
96
order_created
string

Datetime when the order was created.

shifts
ClientOrderShift · object[]

Shifts within this order.